tt_message_address_set(library call)

NAME
tt_message_address_set — set the address attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_address_set(
Tt_message m,
Tt_address a);

DESCRIPTION

The tt_message_address_set function sets the address attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The a argument specifies which message attributes form the address to which the message will be delivered. The following values are defined:

TT_HANDLER
    The message is addressed to a specific handler that can perform this operation with these arguments.

TT_OBJECT
    The message is addressed to a specific object that can perform this operation with these arguments.

TT_OTYPE
    The message is addressed to the type of object that can perform this operation with these arguments.

TT_PROCEDURE
    The message is addressed to any process that can perform this operation with these arguments.

RETURN VALUE

Upon successful completion, the tt_message_address_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).